

Patch from: steve cameron <steve.cameron@hp.com>

Zero out cylinders when zeroing out other disk info in cciss driver.



 drivers/block/cciss.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/block/cciss.c~cciss-5 drivers/block/cciss.c
--- 25/drivers/block/cciss.c~cciss-5	Wed Feb 12 12:12:46 2003
+++ 25-akpm/drivers/block/cciss.c	Wed Feb 12 12:12:46 2003
@@ -809,6 +809,7 @@ static int deregister_disk(int ctlr, int
 	/* zero out the disk size info */ 
 	h->drv[logvol].nr_blocks = 0;
 	h->drv[logvol].block_size = 0;
+	h->drv[logvol].cylinders = 0;
 	h->drv[logvol].LunID = 0;
 	return(0);
 }

_
